package nsdb;
final public class InvalidQualifierHolder
	implements org.omg.CORBA.portable.Streamable
{
	public nsdb.InvalidQualifier value;

	public InvalidQualifierHolder ()
	{
	}
	public InvalidQualifierHolder (nsdb.InvalidQualifier initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return nsdb.InvalidQualifierHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = nsdb.InvalidQualifierHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		nsdb.InvalidQualifierHelper.write(_out,value);
	}
}
